MyGUI_Macros.h File Reference
`#include "MyGUI_Prerequest.h"`
`#include <limits>`
`#include <cstddef>`
`#include <cstdint>`
`#include <string_view>`

Go to the source code of this file.

## Namespaces

namespace | MyGUI

## Functions

constexpr unsigned int | MyGUI::MYGUI_FLAG (uint8_t num)
template<class Map, class Value>
void | MyGUI::mapSet (Map &map, std::string_view key, const Value &value)

## Variables

constexpr size_t | MyGUI::ITEM_NONE = (std::numeric_limits<size_t>::max)()
constexpr float | MyGUI::ALPHA_MAX = 1.0f
constexpr float | MyGUI::ALPHA_MIN = 0.0f
constexpr unsigned int | MyGUI::MYGUI_FLAG_NONE = 0